#ifndef DATE_H
#define DATE_H

#include <iostream>

class Date {
public:
    Date();                    // dagens datum
    Date(int y, int m, int d); // yyyy-mm-dd
    int getYear() const;       // returnerar året
    int getMonth() const;      // returnerar månaden
    int getDay() const;        // returnerar dagen
    void next();               // går till nästa dag

    // Overloaded operators
    friend std::ostream& operator<<(std::ostream& os, const Date& date);
    friend std::istream& operator>>(std::istream& is, Date& date);

private:
    int year;  // året (fyra siffror)
    int month; // månaden (1-12)
    int day;   // dagen (1-...)
    static int daysPerMonth[12]; // antal dagar i varje månad
    static bool isLeapYear(int year); // kontrollera skottår
};

#endif
